Package org.apache.solr.client.solrj.routing

## Class RequestReplicaListTransformerGenerator

- java.lang.Object
- - org.apache.solr.client.solrj.routing.RequestReplicaListTransformerGenerator

    public class RequestReplicaListTransformerGenerator
    extends Object

### Field Summary

Fields
`static ReplicaListTransformerFactory` `RANDOM_RLTF`

### Constructor Summary

Constructors
`RequestReplicaListTransformerGenerator()`
`RequestReplicaListTransformerGenerator​(String defaultShardPreferences, String nodeName, String localHostAddress, NodesSysPropsCacher sysPropsCacher)`
`RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory)`
`RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
`RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory, String defaultShardPreferences, String nodeName, String localHostAddress, NodesSysPropsCacher sysPropsCacher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReplicaListTransformer` `getReplicaListTransformer​(SolrParams requestParams)`
`ReplicaListTransformer` `getReplicaListTransformer​(SolrParams requestParams, String defaultShardPreferences)`
`ReplicaListTransformer` `getReplicaListTransformer​(SolrParams requestParams, String defaultShardPreferences, String nodeName, String localHostAddress, NodesSysPropsCacher sysPropsCacher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RANDOM_RLTF

    public static final ReplicaListTransformerFactory RANDOM_RLTF

### Constructor Detail

#### RequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator()

#### RequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory)

#### RequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory,
                                                  ReplicaListTransformerFactory stableRltFactory)

#### RequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator​(String defaultShardPreferences,
                                                  String nodeName,
                                                  String localHostAddress,
                                                  NodesSysPropsCacher sysPropsCacher)

#### RequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator​(ReplicaListTransformerFactory defaultRltFactory,
                                                  ReplicaListTransformerFactory stableRltFactory,
                                                  String defaultShardPreferences,
                                                  String nodeName,
                                                  String localHostAddress,
                                                  NodesSysPropsCacher sysPropsCacher)

### Method Detail

#### getReplicaListTransformer

    public ReplicaListTransformer getReplicaListTransformer​(SolrParams requestParams)

#### getReplicaListTransformer

    public ReplicaListTransformer getReplicaListTransformer​(SolrParams requestParams,
                                                            String defaultShardPreferences)

#### getReplicaListTransformer

    public ReplicaListTransformer getReplicaListTransformer​(SolrParams requestParams,
                                                            String defaultShardPreferences,
                                                            String nodeName,
                                                            String localHostAddress,
                                                            NodesSysPropsCacher sysPropsCacher)